unable to resolve target android-8

I recently upgraded to the latest version of the android sdk. I got an error: unable to resolve target android-8. This was corrected by going to Window/Android SDK manager and selecting Android 2.2 (API 8)